## racket-mode 20170617+0+g9c5bcb7

=== debian/changelog ===
racket-mode (20170617+0+g9c5bcb7-2) unstable; urgency=medium

  * non-source-only upload.

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 21:27:23 -0400

racket-mode (20170617+0+g9c5bcb7-1) unstable; urgency=medium

  * Initial Debian upload. (Closes: #864621)

 -- David Bremner <bremner@debian.org>  Fri, 04 Aug 2017 20:20:49 -0400
