=== debian/control ===
Source: racket-mode
Section: lisp
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa,
 elpa-s <!nocheck>,
 elpa-faceup <!nocheck>,
 racket <!nocheck>
Standards-Version: 4.0.0
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends},
 emacs,
 elpa-s
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Built-Using: ${misc:Built-Using}
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.
