## racket-mode 20180919git0

=== debian/changelog ===
racket-mode (20180919git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sun, 23 Sep 2018 12:10:07 -0300

racket-mode (20180908+0+e8850c6-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sat, 08 Sep 2018 12:05:25 -0300

racket-mode (20180731+0+g948c8aa-2) unstable; urgency=medium

  * Don't install racket-tests.el. Bug fix: "Fails to install or upgrade:
    racket-tests.el:20:1:Error: Cannot open load file: No such file or
    directory, faceup", thanks to Axel Beckert (Closes: #905148).

 -- David Bremner <bremner@debian.org>  Wed, 01 Aug 2018 07:23:34 +0800

racket-mode (20180731+0+g948c8aa-1) unstable; urgency=medium

  * New upstream snapshot.
  * Assert compliance with policy 4.1.5

 -- David Bremner <bremner@debian.org>  Tue, 31 Jul 2018 12:08:42 +0800
