=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  elpa-s <!nocheck>,
  elpa-faceup <!nocheck>,
  racket <!nocheck>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.5
 Homepage: https://github.com/greghendershott/racket-mode
 Testsuite: autopkgtest-pkg-elpa
