=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM
ELPA_VERSION=$(subst git,snapshot,$(DEB_VERSION_UPSTREAM))
ELPA_DIR=/usr/share/emacs/site-lisp/elpa-src/racket-mode-$(ELPA_VERSION)
ELPA_DEST=$(CURDIR)/debian/elpa-racket-mode$(ELPA_DIR)

%:
	dh $@ --with elpa

override_dh_install:
	dh_install
	mkdir -p $(ELPA_DEST)
	cp -a racket $(ELPA_DEST)
