## racket-mode 20181003git0

=== debian/changelog ===
racket-mode (20181003git0-3) unstable; urgency=medium

  * set maintainer to Debian Emacsen team
  * rebuild with dh-elpa 1.16

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 13:25:51 -0300

racket-mode (20181003git0-2) unstable; urgency=medium

  * Install all of racket/ subdirectory in elpa package

 -- David Bremner <bremner@debian.org>  Wed, 24 Oct 2018 21:47:57 -0300

racket-mode (20181003git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Remove manual installation of racket files, rely on dh-elpa >= 1.15
  * Bring back manual handling of *-pkg.el, eliminate unneeded dependency
    on elpa-faceup.
  * Drop unneeded dependence on emacs.
  * Drop now explicit dependency on elpa-s, now generated via *-pkg.el

 -- David Bremner <bremner@debian.org>  Sat, 20 Oct 2018 22:08:47 -0300
