=== debian/control ===
Source: racket-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper (>= 10),
 dh-elpa (>= 1.15),
 elpa-s <!nocheck>,
 elpa-faceup <!nocheck>,
 racket <!nocheck>
Standards-Version: 4.1.5
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.
