## racket-mode 20200115git0

=== debian/changelog ===
racket-mode (20200115git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sat, 01 Feb 2020 16:34:17 -0400

racket-mode (20190901git0-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Sat, 14 Sep 2019 12:42:38 -0300

racket-mode (20190901git0-1) experimental; urgency=medium

  * New upstream snapshot
  * Fix Vcs-*
  * Build-depend on dh_elpa >= 2.0
  * Switch to debhelper-compat=12
  * Assert compliance with policy 4.4
  * Drop Enhances: emacs25

 -- David Bremner <bremner@debian.org>  Sat, 07 Sep 2019 20:02:03 -0300
