=== debian/changelog ===
racket-mode (20201227git0-3) unstable; urgency=medium

  * Bug fix: add dependency on elpa-pos-tip?, thanks to Axel Beckert
    (Closes: #979130).

 -- David Bremner <bremner@debian.org>  Sun, 03 Jan 2021 08:16:09 -0400

racket-mode (20201227git0-2) unstable; urgency=medium

  * Disable tests. Workaround for #978444.

 -- David Bremner <bremner@debian.org>  Sun, 27 Dec 2020 19:26:39 -0400

racket-mode (20201227git0-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #978345)

 -- David Bremner <bremner@debian.org>  Sun, 27 Dec 2020 08:31:41 -0400
