=== debian/changelog ===
racket-mode (20210916git0-2) unstable; urgency=medium

  * Enable (nontrivial) autopkgtests

 -- David Bremner <bremner@debian.org>  Mon, 20 Sep 2021 18:11:28 -0300

racket-mode (20210916git0-1) unstable; urgency=medium

  * New upstream snapshot.

 -- David Bremner <bremner@debian.org>  Fri, 17 Sep 2021 11:36:43 -0300
