=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: David Bremner <bremner@debian.org>
 Build-Depends: debhelper-compat (= 12),
  dh-elpa (>= 2.0),
+ elpa-pos-tip <!nocheck>,
  elpa-s <!nocheck>,
  elpa-faceup <!nocheck>,
  elpa-paredit <!nocheck>,
