=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,5 @@
 %:
 	dh $@ --with elpa
 
-override_dh_auto_test:
-	@echo tests disabled
+override_dh_elpa_test:
+	@echo tests disabled at build time
