=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cdgit0" \
https://github.com/greghendershott/racket-mode \
HEAD debian
