=== debian/changelog ===
racket-mode (20230628git0-1) unstable; urgency=medium

  * New upstream snapshot

 -- David Bremner <bremner@debian.org>  Sun, 09 Jul 2023 17:35:47 -0300

racket-mode (20230425git0-4) unstable; urgency=medium

  * Re-enable all tests, but in upstream's "CI" mode.

 -- David Bremner <bremner@debian.org>  Wed, 28 Jun 2023 08:03:21 +0200

racket-mode (20230425git0-3) unstable; urgency=medium

  * Disable two speed tests, as they can fail in slow environments.

 -- David Bremner <bremner@debian.org>  Sat, 24 Jun 2023 18:26:06 +0200

racket-mode (20230425git0-2) unstable; urgency=medium

  * upload to unstable

 -- David Bremner <bremner@debian.org>  Sun, 18 Jun 2023 19:00:17 +0300

racket-mode (20230425git0-1) experimental; urgency=medium

  * New upstream snapshot
  * Bug fix: "autopkgtest regression: Process *Racket REPL* connection
    broken by remote peer", thanks to Paul Gevers (Closes: #1033852).
  * Bug fix: "fails to contact repl server in tests", thanks to David
    Bremner (Closes: #978444).

 -- David Bremner <bremner@debian.org>  Thu, 27 Apr 2023 07:47:30 -0300
