## racket-mode 20240129git0

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 # default on PATH. e.g. `EMACS=/path/to/emacs make`.
 EMACS ?= emacs
 RACKET ?= racket
+# Allow another locations for Emacs packages.
+EMACS_PACKAGES ?= ~/.emacs.d/elpa
 
 show-versions:
 	@echo `which $(RACKET)`
@@ -14,7 +16,10 @@
 	@echo `which $(EMACS)`
 	@$(EMACS) --version
 
-batch-emacs := $(EMACS) --batch -Q -L . --eval '(package-initialize)'
+batch-emacs := \
+  $(EMACS) --batch -Q -L . \
+  --eval '(setq package-user-dir "$(EMACS_PACKAGES)")' \
+  --eval '(package-initialize)'
 
 byte-compile := \
   $(batch-emacs) \
@@ -61,10 +66,16 @@
       --eval '(setq racket-program "$(RACKET)")' \
       -f ert-run-tests-batch-and-exit
 
+# Files to test using `raco test -x`.
+test-x-rkt-files := $(wildcard ./racket/*.rkt) $(wildcard ./racket/commands/*.rkt)
+# Exclude hash-lang.rkt because it will fail to eval on older Rackets;
+# normally we only dynamic-require it. Furthermore its tests are in
+# ./test/racket/hash-lang-test.rkt.
+test-x-rkt-files := $(filter-out ./racket/hash-lang.rkt, $(test-x-rkt-files))
+
 test-racket:
+	$(RACKET) -l raco test -x $(test-x-rkt-files)
 	$(RACKET) -l raco test ./test/racket/
-	$(RACKET) -l raco test -x ./racket/*.rkt
-	$(RACKET) -l raco test -x ./racket/commands/*.rkt
 
 test-slow:
 	$(RACKET) -l raco test --submodule slow-test ./racket/imports.rkt
