=== debian/changelog ===
racket-mode (20240129git0-2) unstable; urgency=medium

  * Expect test "racket-tests/expand-expression" to pass on racket 8.10
    (for autopkgtests).

 -- David Bremner <bremner@debian.org>  Thu, 29 Feb 2024 08:47:30 -0400

racket-mode (20240129git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Improved macro hiding in expander (github issue 697)

 -- David Bremner <bremner@debian.org>  Mon, 29 Jan 2024 06:28:11 -0400

racket-mode (20231222git0-1) unstable; urgency=medium

  * New upstream snapshot
  * Includes support for M-x racket-hash-lang-mode

 -- David Bremner <bremner@debian.org>  Fri, 22 Dec 2023 16:19:54 -0800
