## racket-mode 20240301git0

=== debian/changelog ===
racket-mode (20240301git0-2) experimental; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:40:29 +0900

racket-mode (20240301git0-1) experimental; urgency=medium

  * Update to new upstream version 20240301git0.
  * Drop patch for racket-tests/expand-expression, now upstream.
  * Install all top level elisp files
  * Use upstream generated racket-mode-pkg.el. This will generate an "elpa
    version" of 1; hopefully this does not break anything.

 -- David Bremner <bremner@debian.org>  Mon, 04 Mar 2024 09:34:48 -0400
