=== debian/control ===
Source: racket-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-elpa (>= 2.0)
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode.git
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0), elpa-pos-tip
Enhances: emacs
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.
