## racket-mode 20250103~git.f2645aa

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,6 @@
 # default on PATH. e.g. `EMACS=/path/to/emacs make`.
 EMACS ?= emacs
 RACKET ?= racket
-# Allow another locations for Emacs packages.
-EMACS_PACKAGES ?= ~/.emacs.d/elpa
 
 show-versions:
 	@echo `which $(RACKET)`
@@ -18,13 +16,13 @@
 
 batch-emacs := \
   $(EMACS) --batch -Q -L . \
-  --eval '(setq package-user-dir "$(EMACS_PACKAGES)")' \
+  --eval '(require (quote package))' \
   --eval '(package-initialize)'
 
 byte-compile := \
   $(batch-emacs) \
   -l bytecomp \
-  --eval '(setq byte-compile-warnings t)' \
+  --eval '(setq byte-compile-warnings (quote (not obsolete)))' \
   --eval '(setq byte-compile-error-on-warn t)' \
   -f batch-byte-compile
 
@@ -52,7 +50,7 @@
 deps:
 	$(batch-emacs) \
       --eval '(add-to-list (quote package-archives) (cons "melpa" "$(melpa-url)"))' \
-      --eval '(package-initialize)' \
+      --eval '(unless (fboundp (quote lisp-data-mode)) (defalias (quote lisp-data-mode) (quote emacs-lisp-mode)))' \
       --eval '(package-refresh-contents)' \
       --eval '(package-install (quote faceup))' \
       --eval '(package-install (quote paredit))'
