=== debian/changelog ===
racket-mode (20250103~git.f2645aa-1) unstable; urgency=medium

  * Update to new upstream version 20250103~git.f2645aa.
  * Upload to unstable.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 12 Jan 2025 02:05:02 -0800

racket-mode (20241227~git.f4fe6dd-1) experimental; urgency=medium

  * Update to new upstream version 20241227~git.f4fe6dd.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 03 Jan 2025 03:25:25 -0800

racket-mode (20241217~git.3dc8c17-1) experimental; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 20241217~git.3dc8c17
  * Update d/watch scheme to include commit hash
  * Bump debhelper from old 12 to 13
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Use canonical URL in Vcs-Browser
  * Update standards version to 4.7.0, no changes needed
  * Drop oldoldstable emacs version in Recommends in d/control
  * Add "Rules-Requires-Root: no" to d/control
  * Update build-depends required for tests in d/control
  * Change section from lisp to editors in d/control
  * Set user-emacs-directory to a temp path required by tests in
    d/elpa-test
  * Enable elpa test in d/rules
  * Add Upstream-Contact in d/copyright
  * Update license from GPL-2+ to GPL-3+ as per upstream in d/copyright
    - Upstream updated the license from version 2 and later to version 3
      and later in 2022.
  * Add copyright clause for debian directory in d/copyright (Closes:
    #1091177)
    - Copyright holder is David Bremner based on history and granted by
      David.
    - Also add comments stating that the license of "debian/*" should
      follow upstream as granted by David.
    - Add David's email at Bug#1091177 as reference for clarification.
  * Add d/gbp.conf matching the current practice
  * Add d/README.Debian to document the dgit-maint-debrebase workflow
  * Add myself to Uploaders in d/control

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 27 Dec 2024 13:27:38 +0000
