=== debian/control ===
Source: racket-mode
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends: debhelper-compat (= 13),
 dh-elpa (>= 2.0),
 elpa-faceup <!nocheck>,
 elpa-paredit <!nocheck>,
 elpa-pos-tip <!nocheck>,
 racket <!nocheck>,
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
Homepage: https://github.com/greghendershott/racket-mode
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs, elpa-pos-tip
Enhances: emacs
Description: emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.
