## racket-mode 20250205~git.d9e66c7

=== debian/changelog ===
racket-mode (20250205~git.d9e66c7-1) unstable; urgency=medium

  * Update to new upstream version 20250205~git.d9e66c7.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 08 Feb 2025 01:50:53 -0800

racket-mode (20250125~git.a3bcfd2-1) unstable; urgency=medium

  * Update to new upstream version 20250125~git.a3bcfd2.
  * Add d/salsa-ci.yml with default template
  * Add git <!nocheck> to Build-Depends in d/control
    - This is required for ERT running on Salsa CI.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 31 Jan 2025 13:23:03 -0800

racket-mode (20250122~git.142c36c-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 23 Jan 2025 23:29:45 -0800

racket-mode (20250122~git.142c36c-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250122~git.142c36c.
    - Upstream now properly detect headless build daemon environments and
      skip tests that are not applicable.
    - As we now also run test-racket, we have coverage on all available
      tests (Closes: #978709)
  * Drop all custom patches now that they are properly handled upstream

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 22 Jan 2025 10:41:56 -0800

racket-mode (20250115~git.9e6ea1f-1~exp4) experimental; urgency=medium

  * Skip tests skipped in CI mode when in Debian Buildd mode

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 20 Jan 2025 03:00:36 -0800

racket-mode (20250115~git.9e6ea1f-1~exp3) experimental; urgency=medium

  * Run both racket and racket-mode tests
    - Set HOME to a temporary directory which is required by the racket
      tests
    - Use the test-racket make target for racket tests
    - Run dh_elpa_test for ERT tests
  * Update Makefile to make it easier to exclude tests.
  * Skip scribble test: failing on Racket 8.14.
  * Skip hash-lang test: require display and not supported in sbuild.
  * Add d/ert-helper.el to skip tests
    - Skip racket-tests/repl which stuck until timeout.
  * Add myself to the debian/* clause in d/copyright

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 19 Jan 2025 21:24:07 -0800

racket-mode (20250115~git.9e6ea1f-1~exp2) experimental; urgency=medium

  * Introduce a new envvar to set a longer timeout for Debian buildds
  * Set DEBIAN_BUILDD to use longer timeout for slower architectures

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 18 Jan 2025 15:32:38 -0800

racket-mode (20250115~git.9e6ea1f-1~exp1) experimental; urgency=medium

  * Update to new upstream version 20250115~git.9e6ea1f.
  * Further increase command timeout to 15 minutes

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 16 Jan 2025 18:02:25 -0800

racket-mode (20250103~git.f2645aa-2~exp1) experimental; urgency=medium

  * Increase timeout of test in CI mode
    - In the previous upload 6 of the tests timed out on all archs except
      amd64 which might be the only arch that was fast enough to finish
      any operation within 60 seconds.
    - Test increasing timeout to 5 minutes.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 14 Jan 2025 20:29:16 -0800
