=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  elpa-faceup <!nocheck>,
  elpa-paredit <!nocheck>,
  elpa-pos-tip <!nocheck>,
+ git <!nocheck>,
  racket <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
