=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 	dh $@ --with elpa
 
 override_dh_elpa_test:
-	@echo tests disabled at build time
+	mkdir -p /tmp/emacs-home
+	HOME=/tmp/emacs-home make test-racket
+	dh_elpa_test
