=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd~git.%h" \
    https://github.com/greghendershott/racket-mode \
    HEAD debian
