## racket-mode 20250324~git.88d82e2

=== debian/changelog ===
racket-mode (20250324~git.88d82e2-1) unstable; urgency=medium

  * Update to new upstream version 20250324~git.88d82e2.

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 24 Mar 2025 14:33:55 -0700

racket-mode (20250321~git.f5098c6-3) unstable; urgency=medium

  * Skip autopkgtest on ppc64el and riscv64
    - Times out after 3 hours.

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 24 Mar 2025 02:12:29 -0700

racket-mode (20250321~git.f5098c6-2) unstable; urgency=medium

  * Only run ERT tests in autopkgtest
    - The racket tests run too slow on slow architectures and time out on
      buildds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 15:13:34 -0700

racket-mode (20250321~git.f5098c6-1) unstable; urgency=medium

  * Update to new upstream version 20250321~git.f5098c6.
  * Clean up doc after dh_clean instead of dh_auto_clean
  * Add d/tests/control for autopkgtest
    - Perform all recommended tests in autopkgtest including `make
      test-racket' and ERT tests.
    - Skip autopkgtest on armel as it still uses racket BC.
    - Drop "Testsuite: autopkgtest-pkg-elpa" in d/control.
  * Use a longer timeout for Debian buildd environments
    - 900 seconds is still not long enough for some slower architectures.
    - Increase to 1800 seconds.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 23 Mar 2025 03:23:21 -0700

racket-mode (20250312~git.cf92277-1) unstable; urgency=medium

  * Update to new upstream version 20250312~git.cf92277.
    - Improve UX for back end startup failures.
  * Use extend-diff-ignore in d/s/options to avoid extraneous diffs during
    building
    - Drop save/restore handling in d/rules in favor of d/s/options.
    - This simplifies the handling of doc/racket-mode.texi diffs generated
      during building that causes source changes and fails
      build-twice-in-a-row.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 18 Mar 2025 14:25:00 -0700

racket-mode (20250212~git.eef5e9a-1) unstable; urgency=medium

  * Update to new upstream version 20250212~git.eef5e9a.
  * Mark elpa-racket-mode-doc as "Multi-Arch: foreign"
  * Update Standards-Version to 4.7.2; no change needed
  * Save and restore doc/racket-mode.texi to fix build-twice-in-a-row

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 23:16:50 -0800

racket-mode (20250205~git.d9e66c7-2) unstable; urgency=medium

  * Source-only upload.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 01 Mar 2025 17:49:55 +0800

racket-mode (20250205~git.d9e66c7-2~exp2) experimental; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * Add elpa-racket-mode-doc package for racket-mode docs
    - Enable building docs in d/rules
    - Rename d/elpa -> d/elpa-racket-mode.elpa
    - Add elpa-racket-mode-doc section in d/control
      + Also capitalize Emacs.
    - Suggests elpa-racket-mode-doc in elpa-racket-mode in d/control
    - Add packages required for building docs to B-D in d/control
      + Also remove <!nocheck> for racket as it's also required for
        building docs.
    - Add d/elpa-racket-mode-doc.docs for documentations
    - Add d/elpa-racket-mode-doc.info for info pages and linked images
    - Skip compressing svg files referenced in info pages
    - Add lintian-overrides for info page figures
    - Add d/elpa-racket-mode-doc.doc-base registry
  * Enable all tests
    - racket-tests/repl has been fixed upstream.

  [ Sean Whitton ]
  * Replace build-dep elpa-faceup -> Emacs 30.1.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 18:38:07 +0800
