=== debian/changelog ===
racket-mode (20250501~git.2eec63c-1ubuntu1) questing; urgency=medium

  * d/control: change Build-Depends to use libjpeg-dev instead of
    libjpeg62-turbo-dev (LP: #2117522).

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Sun, 20 Jul 2025 17:09:54 -0700

racket-mode (20250501~git.2eec63c-1) unstable; urgency=medium

  * Update to new upstream version 20250501~git.2eec63c.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 02 May 2025 00:11:19 -0700

racket-mode (20250425~git.e20a544-1) unstable; urgency=medium

  * Update to new upstream version 20250425~git.e20a544.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 27 Apr 2025 23:40:03 -0700

racket-mode (20250421~git.b8ff3bd-1) unstable; urgency=medium

  * Update to new upstream version 20250421~git.b8ff3bd.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 22 Apr 2025 23:40:57 -0700
