=== debian/control ===
Source: racket-mode
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: David Bremner <bremner@debian.org>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends: debhelper-compat (= 13),
 dh-elpa (>= 2.0),
 emacs (>= 1:30.1) <!nocheck>,
 elpa-paredit <!nocheck>,
 elpa-pos-tip <!nocheck>,
 git <!nocheck>,
 libcairo2-dev,
 libfontconfig-dev,
 libjpeg-dev,
 libpango1.0-dev,
 racket,
 texinfo,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
Homepage: https://github.com/greghendershott/racket-mode
Rules-Requires-Root: no

Package: elpa-racket-mode
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs, elpa-pos-tip
Enhances: emacs
Suggests: elpa-racket-mode-doc
Description: Emacs support for editing and running racket code
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.

Package: elpa-racket-mode-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Emacs support for editing and running racket code - documentation
 Provides a major mode to edit Racket source files, as well as a major
 mode for a Racket REPL. The edit/run experience is similar to
 DrRacket.
 .
 This package contains the info and HTML documentation.
