=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,16 @@
 %:
 	dh $@ --with elpa
 
+execute_after_dh_clean:
+	cd doc && make clean
+
+execute_after_dh_auto_build:
+	cd doc && make docs
+
 override_dh_elpa_test:
 	mkdir -p /tmp/emacs-home
 	HOME=/tmp/emacs-home make test-racket
 	dh_elpa_test
+
+override_dh_compress:
+	dh_compress -Xusr/share/info/scenario-
