=== debian/tests/control ===
Test-Command: dh_elpa_test --autopkgtest
Depends: @, @builddeps@
# Skip testing on:
#  armel: it still uses racket BC
#  ppc64el, riscv64: autopkgtest times out after 3 hours
Architecture: !armel !ppc64el !riscv64
