## racket-mode 20250711~git.8a80578

=== debian/changelog ===
racket-mode (20250711~git.8a80578-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Update to new upstream version 20250711~git.8a80578.

  [ Ural Tunaboyu ]
  * d/control: change Build-Depends to use libjpeg-dev instead of
    libjpeg62-turbo-dev.
     - Ubuntu does not have libjpeg62-turbo-dev but instead uses
       libjpeg-turbo8-dev to provide the libjpeg-dev virtual package. Use
       the more general package to avoid build failures.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 14 Aug 2025 23:23:22 -0700
