## racket-mode 20250828~git.172b7d4

=== debian/changelog ===
racket-mode (20250828~git.172b7d4-1) unstable; urgency=medium

  * Update to new upstream version 20250828~git.172b7d4.
  * Migrate d/watch to rfc822-style version 5 foramt
  * Drop custom autopkgtest handling
    - The intension was to skip architectures that fails the tests, but
      that didn't work for arch:all package, so there is no advantage over
      autopkgtest-pkg-elpa at all.
    - Re-enable autopkgtest-pkg-elpa in d/control.

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 31 Aug 2025 00:14:57 -0700
