## racket-mode 20250830~git.f3952cd

=== debian/changelog ===
racket-mode (20250830~git.f3952cd-1) unstable; urgency=medium

  * Update to new upstream version 20250830~git.f3952cd.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 11 Sep 2025 00:06:56 -0700
