=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
 Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
 Homepage: https://github.com/greghendershott/racket-mode
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-racket-mode
 Architecture: all
