## racket-mode 20251013~git.b9a4f51

=== Makefile ===
--- 
+++ 
@@ -57,6 +57,7 @@
       --eval '(add-to-list (quote package-archives) (cons "melpa" "$(melpa-url)"))' \
       --eval '(unless (fboundp (quote lisp-data-mode)) (defalias (quote lisp-data-mode) (quote emacs-lisp-mode)))' \
       --eval '(package-refresh-contents)' \
+      --eval '(package-install (quote compat))' \
       --eval '(package-install (quote faceup))' \
       --eval '(package-install (quote paredit))'
