=== debian/changelog ===
racket-mode (20251013~git.b9a4f51-1) unstable; urgency=medium

  * Update to new upstream version 20251013~git.b9a4f51.
  * Drop "Rules-Requires-Root: no"
    - This has been the default since dpkg 1.22.13.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 17 Oct 2025 00:52:15 -0700
