## racket-mode 20251020~git.143d453

=== debian/changelog ===
racket-mode (20251020~git.143d453-1) unstable; urgency=medium

  * Update to new upstream version 20251020~git.143d453.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 25 Oct 2025 20:01:34 -0700
