=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
 Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
 Homepage: https://github.com/greghendershott/racket-mode
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-racket-mode
