## racket-mode 20251029~git.b74e6d3

=== debian/changelog ===
racket-mode (20251029~git.b74e6d3-1) unstable; urgency=medium

  * Update to new upstream version 20251029~git.b74e6d3.

 -- Xiyue Deng <manphiz@gmail.com>  Sat, 01 Nov 2025 15:48:28 -0700
