## racket-mode 20251107~git.d98852e

=== debian/changelog ===
racket-mode (20251107~git.d98852e-1) unstable; urgency=medium

  * Update to new upstream version 20251107~git.d98852e.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Nov 2025 20:25:33 -0800
