=== debian/watch ===
Version: 5

Source: https://github.com/greghendershott/racket-mode
Matching-Pattern: HEAD
Mode: git
Pgp-Mode: none
Pretty: %cd~git.%h
