## racket-mode 20251220~git.577af47

=== debian/changelog ===
racket-mode (20251220~git.577af47-1) unstable; urgency=medium

  * Update to new upstream version 20251220~git.577af47.

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 26 Dec 2025 15:45:36 -0800
