## racket-mode 20260106~git.150b057

=== debian/changelog ===
racket-mode (20260106~git.150b057-1) unstable; urgency=medium

  * Update to new upstream version 20260106~git.150b057.
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 08 Jan 2026 01:57:19 -0800
