## racket-mode 20260117~git.71f27c6

=== Makefile ===
--- 
+++ 
@@ -57,9 +57,9 @@
       --eval '(add-to-list (quote package-archives) (cons "melpa" "$(melpa-url)"))' \
       --eval '(unless (fboundp (quote lisp-data-mode)) (defalias (quote lisp-data-mode) (quote emacs-lisp-mode)))' \
       --eval '(package-refresh-contents)' \
-      --eval '(package-install (quote compat))' \
-      --eval '(package-install (quote faceup))' \
-      --eval '(package-install (quote paredit))'
+      --eval '(unless (package-installed-p (quote compat)) (package-install (quote compat)))' \
+      --eval '(unless (package-installed-p (quote faceup)) (package-install (quote faceup)))' \
+      --eval '(unless (package-installed-p (quote paredit)) (package-install (quote paredit)))'
 
 test-elisp:
 	$(batch-emacs) \
