=== debian/changelog ===
racket-mode (20260117~git.71f27c6-1) unstable; urgency=medium

  * Update to new upstream version 20260117~git.71f27c6.
  * Update my Debian copyright year

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 20 Jan 2026 16:44:24 -0800
