=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: racket-mode
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: David Bremner <bremner@debian.org>,
  Xiyue Deng <manphiz@gmail.com>,
@@ -16,7 +15,7 @@
  libpango1.0-dev,
  racket,
  texinfo,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/emacsen-team/racket-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/racket-mode
 Homepage: https://github.com/greghendershott/racket-mode
